From: =?utf-8?b?T25kxZllaiBTdXLDvQ==?= <ondrej@sury.org>
Date: Mon, 2 Dec 2024 21:31:32 +0100
Subject: Fix invalid size_t usage on 32-bit architectures

---
 gmagick-2.0.6RC1/gmagick_methods.c     | 4 ++--
 gmagick-2.0.6RC1/gmagickdraw_methods.c | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/gmagick-2.0.6RC1/gmagick_methods.c b/gmagick-2.0.6RC1/gmagick_methods.c
index 2f60add..2327615 100644
--- a/gmagick-2.0.6RC1/gmagick_methods.c
+++ b/gmagick-2.0.6RC1/gmagick_methods.c
@@ -4975,7 +4975,7 @@ PHP_METHOD(Gmagick, getimagechannelextrema)
 {
 	php_gmagick_object *intern;
 	long channel_type;
-	size_t minima, maxima;
+	unsigned long minima, maxima;
 	unsigned int status;
 
 	if (zend_parse_parameters(ZEND_NUM_ARGS() TSRMLS_CC, "l", &channel_type) == FAILURE) {
@@ -5625,7 +5625,7 @@ PHP_METHOD(Gmagick, getimageboundingbox)
 	MagickBool status;
 
 	unsigned long width, height;
-	long x, y; 
+	long x, y;
 
 
 	/* Parse parameters given to function */
diff --git a/gmagick-2.0.6RC1/gmagickdraw_methods.c b/gmagick-2.0.6RC1/gmagickdraw_methods.c
index b6f4f4f..eb18913 100644
--- a/gmagick-2.0.6RC1/gmagickdraw_methods.c
+++ b/gmagick-2.0.6RC1/gmagickdraw_methods.c
@@ -1409,7 +1409,7 @@ static zend_bool php_gmagick_check_font(char *font, int font_len TSRMLS_DC)
 	zend_bool retval = 0;
 	char **fonts;
 	unsigned long i = 0;
-	size_t num_fonts = 0;
+	unsigned long num_fonts = 0;
 
 	/* Check that user is only able to set a proper font */
 	fonts = MagickQueryFonts("*", &num_fonts);
